# Uses of Class
org.eclipse.net4j.signal.RequestWithConfirmation

Packages that use RequestWithConfirmation
Package
Description
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.
org.eclipse.net4j.signal.confirmation
Reusable implementation of a server-to-client confirmation signal and related API.
org.eclipse.net4j.signal.security
Reusable implementation of a server-to-client authentication signal and related API.

## Uses of RequestWithConfirmation in org.eclipse.net4j.signal

Subclasses of RequestWithConfirmation in org.eclipse.net4j.signal
Modifier and Type
Class
Description
`class`
`RequestWithMonitoring<RESULT>`
Represents the sender side of a two-way `signal` with additional support for remote progress monitoring.
Methods in org.eclipse.net4j.signal that return RequestWithConfirmation
Modifier and Type
Method
Description
`RequestWithConfirmation<?>`
RemoteException.`getLocalRequest()`
Constructors in org.eclipse.net4j.signal with parameters of type RequestWithConfirmation
Modifier
Constructor
Description
``
`RemoteException(Throwable remoteCause, RequestWithConfirmation<?> localRequest, boolean whileResponding)`

## Uses of RequestWithConfirmation in org.eclipse.net4j.signal.confirmation

Subclasses of RequestWithConfirmation in org.eclipse.net4j.signal.confirmation
Modifier and Type
Class
Description
`class`
`ConfirmationRequest`

## Uses of RequestWithConfirmation in org.eclipse.net4j.signal.security

Subclasses of RequestWithConfirmation in org.eclipse.net4j.signal.security
Modifier and Type
Class
Description
`class`
`AuthenticationRequest`